Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.ensembleLibraryEditor
Class LibrarySerialization

    java.lang.Object
      weka.core.xml.XMLSerialization
          weka.core.xml.XMLBasicSerialization
              weka.gui.ensembleLibraryEditor.LibrarySerialization

All Implemented Interfaces:
  RevisionHandler

    public class LibrarySerialization

extends XMLBasicSerialization

For serializing LibraryModels. This class uses the existing weka infrastructure to let us easily serialize classifier specifications in a nice solid and stable XML format. This class is responsible for creating the .model.xml files. Note that this truly was a life saver when we found out that saving the string representations , e.g. "weka.classifiers.meta.foobar -X 1 -Y 2" in a flat file simply did not work for lots of different kinds of classifiers.

Version:
  $Revision: 1.1 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

Field Summary

Fields inherited from class weka.core.xml.XMLBasicSerialization
`VAL_CELLS, VAL_KEY, VAL_MAPPING, VAL_VALUE`

Fields inherited from class weka.core.xml.XMLSerialization
`ATT_ARRAY, ATT_ARRAY_DEFAULT, ATT_CLASS, ATT_NAME, ATT_NULL, ATT_NULL_DEFAULT, ATT_PRIMITIVE, ATT_PRIMITIVE_DEFAULT, ATT_VERSION, DOCTYPE, ROOT_NODE, TAG_OBJECT, VAL_NO, VAL_ROOT, VAL_YES`

Constructor Summary
`LibrarySerialization()` initializes the serialization

Method Summary
`void` | `clear()` generates internally a new XML document and clears also the IgnoreList and the mappings for the Read/Write-Methods

Methods inherited from class weka.core.xml.XMLBasicSerialization
`getRevision, readCollection, readCostMatrixOld, readDefaultListModel, readMap, readMatrix, readMatrixOld, writeCollection, writeCostMatrixOld, writeDefaultListModel, writeMap, writeMatrix, writeMatrixOld`

Methods inherited from class weka.core.xml.XMLSerialization
`fromXML, getVersion, main, read, read, read, read, readBooleanFromXML, readByteFromXML, readCharFromXML, readDoubleFromXML, readFloatFromXML, readFromXML, readFromXML, readIntFromXML, readLongFromXML, readShortFromXML, toXML, write, write, write, write, writeToXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibrarySerialization

    public LibrarySerialization()
                         throws java.lang.Exception

  initializes the serialization

  Throws:
    `java.lang.Exception` - if initialization fails

Method Detail

### clear

    public void clear()
               throws java.lang.Exception

  generates internally a new XML document and clears also the IgnoreList and the mappings for the Read/Write-Methods

  Overrides:
    `clear` in class `XMLBasicSerialization`
  Throws:
    `java.lang.Exception` - if something goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD